/* .............................................................................
FOOTER
Footer with logo, contact info, links, copyright.
............................................................................. */

.footer {background-color: var(--color-black);padding-top: calc(0.5 * var(--base-spacing-top));padding-bottom: calc(0.3 * var(--base-spacing-bottom));}
.footer__layout {display: grid;grid-template-columns: 31% 0.6fr 1fr 1fr;grid-template-rows: auto auto;gap: 3.5em 3%;align-items: start;}
.footer__logo {grid-column: 1 / 2;grid-row: 1 / 2;max-width: 20em;margin-top: -1.7em;}
.footer__title {grid-column: 2 / 3;grid-row: 1 / 2;}
.footer__address {grid-column: 3 / 4;grid-row: 1 / 2;}
.footer__contact {grid-column: 4 / 5;grid-row: 1 / 2;}
.footer__links {grid-column: 1 / 3;grid-row: 2 / 3;font-size: 0.9em;align-self: end;color: rgba(255 255 255 / 60%);}
.footer__links a {color: rgba(255 255 255 / 60%);}
.footer__copyright {grid-column: 3 / 5;grid-row: 2 / 3;font-size: 0.9em;align-self: end;text-align: right;color: rgba(255 255 255 / 60%);}

	/* Stacked */
	@media (max-width:62rem) {
		.footer {padding-top: calc(0.8 * var(--base-spacing-top));padding-bottom: calc(0.5 * var(--base-spacing-bottom)); text-align: center; }
		.footer__layout {display: flex;flex-direction: column;align-items: center; gap: 0; }
		.footer__layout > * + * {margin-top: calc(0.5 * var(--base-spacing)); }
		.footer__logo {margin-top: 0; width: 90%; max-width: 25em; }
		.footer__title {margin-top: calc(0.75 * var(--base-spacing)); }
		.footer__address {margin-top: 0.5em; }
		.footer__links {margin-top: calc(0.75 * var(--base-spacing)); align-self: center; }
		.footer__copyright {align-self: center; text-align: center; }
	}

	/* Stacked links */
	@media (max-width:46rem) {
		.footer__links .listInline {flex-direction: column;align-items: center;gap: var(--spacing);margin: 0;}
		.footer__links .listInline li {padding: 0;}
		.footer__links .listInline li::before {display: none;}
	}
